package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * The list of DHCP Range, which size can&#39;t be more than \&quot;dhcpRangePoolSize\&quot;, \&quot;dhcpRangePoolSize\&quot; can be obtained from &#39;Get LAN network list&#39; interface.
 */
@ApiModel(description = "The list of DHCP Range, which size can't be more than \"dhcpRangePoolSize\", \"dhcpRangePoolSize\" can be obtained from 'Get LAN network list' interface.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DhcpRangeOpenApiVo   {
  @JsonProperty("ipaddrStart")
  private String ipaddrStart;

  @JsonProperty("ipaddrEnd")
  private String ipaddrEnd;

  public DhcpRangeOpenApiVo ipaddrStart(String ipaddrStart) {
    this.ipaddrStart = ipaddrStart;
    return this;
  }

  /**
   * DHCP Range Start IP
   * @return ipaddrStart
  */
  @ApiModelProperty(value = "DHCP Range Start IP")

@Pattern(regexp="\\b((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\b") 
  public String getIpaddrStart() {
    return ipaddrStart;
  }

  public void setIpaddrStart(String ipaddrStart) {
    this.ipaddrStart = ipaddrStart;
  }

  public DhcpRangeOpenApiVo ipaddrEnd(String ipaddrEnd) {
    this.ipaddrEnd = ipaddrEnd;
    return this;
  }

  /**
   * DHCP Range End IP
   * @return ipaddrEnd
  */
  @ApiModelProperty(value = "DHCP Range End IP")

@Pattern(regexp="\\b((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\b") 
  public String getIpaddrEnd() {
    return ipaddrEnd;
  }

  public void setIpaddrEnd(String ipaddrEnd) {
    this.ipaddrEnd = ipaddrEnd;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DhcpRangeOpenApiVo dhcpRangeOpenApiVo = (DhcpRangeOpenApiVo) o;
    return Objects.equals(this.ipaddrStart, dhcpRangeOpenApiVo.ipaddrStart) &&
        Objects.equals(this.ipaddrEnd, dhcpRangeOpenApiVo.ipaddrEnd);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ipaddrStart, ipaddrEnd);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DhcpRangeOpenApiVo {\n");
    
    sb.append("    ipaddrStart: ").append(toIndentedString(ipaddrStart)).append("\n");
    sb.append("    ipaddrEnd: ").append(toIndentedString(ipaddrEnd)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

